package com.tzld.longarticle.recommend.server.web;


import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.GhDetailParam;
import com.tzld.longarticle.recommend.server.repository.model.GhDetail;
import com.tzld.longarticle.recommend.server.service.exterior.GhDetailService;
import com.tzld.longarticle.recommend.server.util.page.Page;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping("/gh")
public class GhDetailController {

    @Autowired
    private GhDetailService ghDetailService;

    @GetMapping("/getList")
    public CommonResponse<Page<GhDetail>> getGhDetailList(@RequestParam GhDetailParam param) {
        return ghDetailService.getGhDetailList(param);
    }

    @PostMapping("/add")
    public CommonResponse<Void> addGhDetail(@RequestBody GhDetail detail) {
        return ghDetailService.addGhDetail(detail);
    }

    @PostMapping("/update")
    public CommonResponse<Void> updateGhDetail(@RequestBody GhDetail detail) {
        return ghDetailService.updateDetail(detail);
    }

    @GetMapping("/refresh")
    public CommonResponse<Void> refreshGhDetail() {
        return ghDetailService.refreshGhDetail();
    }

}
